Subject: Re: [RFC (take 3)] Git User's Survey 2007

From: Jakub Narebski <[email-masked]>
Date: Sat, 4 Aug 2007 14:10:21 +0200

On Sat, 4 August 2007, Shawn O. Pearce wrote:

>> How you use GIT
>> 
>>     1. Do you use GIT for work, unpaid projects, or both?
>>        work/unpaid projects/both/none(*)
>>        (*)I use git to interact with some project I'm interested in
> 
> I don't understand the (*) point here.  What's the middle ground
> between work and unpaid projects?  Paid projects that aren't work?
> Isn't that the definition of work?  Very confused...

I meant here to add an option for people who use git (or git web 
interface) only for tracking some project(s). For example what if I'm 
tracking git.git repository, but do not have repositories with my own 
projects? It is a bit of gray area if you publish your own changes to 
somebody else project if it is "none" or "unpaid projects".
 
But perhaps it is too vague distinction. One can always not to answer 
this question, if one does not have any projects, and do not use git 
for work.

I'll think about removing this option.

>>     8. Which porcelains do you use?
>>        (zero or more: multiple choice)
>>     -  core-git, cogito, StGIT, pg, guilt, other
> 
> I really hope nobody chooses pg.  I haven't supported it in a very
> long time.  Might be a good idea to keep it in this survey just to
> make sure its 0, then omit it from the next survey.  :-)

I'd use "core-git, cogito (deprecated), StGIT, guilt, pg (deprecated), 
other", then.
 
>> Changes in GIT (since year ago, or since you started using it)
> ...
>>     5. Which of the new features do you use?
>>        (zero or more: multiple choice)
>>     -  git-gui, bundle, eol conversion, gitattributes,
>>        submodules, worktree, release notes, user's manual,
>>        reflog, stash, shallow clone, detached HEAD, fast-import,
>>        mergetool, interactive rebase, commit template, blame
>>        improvements, other (not mentioned here)
> 
> Wow.
> 
> This community has accomplished a lot since the last survey.
> That list covers most of the major items over the past year, if
> not all of them.  But I'd never really seen it all written out
> in such a concise list; there's so much blood, sweat and tears
> in those topics from everyone on (and off) this mailing list.
> Reading it now is bringing back a lot of memories for me.
> 
> Sorry, I just had a very emotional reaction to seeing how much we
> have managed to accomplish in so little time.  Thank you to everyone
> who has made this list possible!

And that are only user visible features! This list does not include
improvements to git "engine", like better support for huge files, or
"thickening" downloaded pack during fetch, or non-feature improvements
to git UI, like git-gc, git-remote, changes to git-diff, git-log, 
git-show, making separate remote layout default, etc.

On the other hand this list might include some features which were 
present at the time of previous (first) survey, like reflog, but were 
not enabled by default and had almost no porcelain support.

>> Getting help, staying in touch
>> 
>>     1. Have you tried to get GIT help from other people?
>>     -  yes/no
>>     2. If yes, did you get these problems resolved quickly
>>        and to your liking?
>>     -  yes/no
> 
> Possible new item:
> 
>   Would commerical (paid) support from a support vendor be of
>   interest to you/your organization?

This is a very good idea. I'd add this question to the list.

> I think Sam Vilain was suggesting he sell Git support
> to my day-job company, so my coworkers could call him and ask him
> questions, and he could ask me those same questions on #git, then
> mail me a 6-pack of beer[*1*] for my troubles.  :)
>
>
> [*1*] And sadly I don't drink beer...

So what would be the proper compensation? Bottle of wine? Bar of 
chocolate? ;-p

-- 
Jakub Narebski
Poland